GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List cited domains GETList cited URLs GETGet citation positions GETList citations GETGet citation type trends GETGet cited page trends GETGet cited URL GET
Citations

List citations GET

Single citations with model, position and date.

Get cited page trends GET

Cited pages with daily rate, first cited, ramp up, peak and decay.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Citations

Get citation type trends

GET
/brands/{brandId}/citations/trends/types

Daily citation rate by content type and share by source type.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Path Parameters

brandId*string
Formatuuid

Query Parameters

engines?string

Comma-separated engine slugs

Lengthlength <= 500
types?string

Comma-separated prompt types

Lengthlength <= 200
intents?string

Comma-separated prompt intents

Lengthlength <= 200
topics?string

Comma-separated topic ids

Lengthlength <= 2000
countries?string

Comma-separated ISO country codes, lowercase

Lengthlength <= 1000
tags?string

Comma-separated prompt tag ids

Lengthlength <= 2000
competitors?string

Comma-separated competitor ids; responses mentioning any

Lengthlength <= 2000
from?string

Answered on or after this UTC date; omit for all time

Match^\d{4}-\d{2}-\d{2}$
to?string

Answered on or before this UTC date; omit for today

Match^\d{4}-\d{2}-\d{2}$

Response Body

Type series aligned to days

application/json
  1. response
  1. response
  2. …
days*array<string>
total*integer
content*array<>

Daily citation rate per content type, percent of responses

source*array<>

Daily share of citations per source type, percent

Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/citations/trends/types'
Example Response
{  "days": [    "string"  ],  "total": 0,  "content": [    {      "type": "string",      "citations": 0,      "share": 0,      "values": [        0      ]    }  ],  "source": [    {      "type": "string",      "citations": 0,      "share": 0,      "values": [        0      ]    }  ]}

List citations GET

Single citations with model, position and date.

Get cited page trends GET

Cited pages with daily rate, first cited, ramp up, peak and decay.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/citations/trends/types'
{
  "days": [
    "string"
  ],
  "total": 0,
  "content": [
    {
      "type": "string",
      "citations": 0,
      "share": 0,
      "values": [
        0
      ]
    }
  ],
  "source": [
    {
      "type": "string",
      "citations": 0,
      "share": 0,
      "values": [
        0
      ]
    }
  ]
}